Welcome to the new DiscussCESM forum!
We are still working on the website migration, so you may experience downtime during this process.

Existing users, please reset your password before logging in here: https://xenforo.cgd.ucar.edu/cesm/index.php?lost-password/

Error related to "run-unsupported" flag while porting across machines

sur23beeb

ST
New Member
I am trying to port a running cesm configuration (ver: 2.1.0) from one machine to another. I have copied over the folders in cesm.sandboxes/cesm2.1.0 from the source to the target machine. I have compiled and run the code successfully on the source machine and want to continue where I left off, but on the target machine. When I try to execute create_newcase on the target machine, I get an error message saying the "--run-unsupported" flag (which I require) is not a valid argument for create_newcase. Indeed, when I execute create_newcase -h, that flag does not show up as one of the arguments. But when I execute the same command on the source machine, the flag does show up as a valid option. Does someone know what might I be doing wrong? Should I try to pull the source code using git rather than copying them over across the two machines? I thought because those folders do not have any machine-compiled stuff, it should be okay to just copy them over. Any help is appreciated.
 

fischer

CSEG and Liaisons
Staff member
Make sure you have the environment variable CIME_MODEL set to "cesm". If CIME_MODEL isn't set to "cesm" the "--run-unsupported" flag
isn't used.

Chris
 

sur23beeb

ST
New Member
Thanks! I set that variable and the error related to the "--run-unsupported" flag has now vanished on the target machine. On the source machine, however, I did not have to set this environment variable explicitly and the "--run-unsupported" flag worked. I just logged into the source machine now and even tried echo $CIME_MODEL. It returned an empty string. But that flag shows up when I execute create_newcase -h.
 

sur23beeb

ST
New Member
I am getting some further errors downstream:
------------------------------------------------------------------------
Compset is: 2000_DATM%JRA_SLND_CICE_POP2_DROF%JRA_SGLC_SWAV
Grid is: a%TL319_l%null_oi%tx0.1v3_r%JRA025_g%null_w%null_m%tx0.1v3
Components in compset are: ['datm', 'slnd', 'cice', 'pop', 'drof', 'sglc', 'swav', 'sesp', 'drv', 'dart']
WARNING: No cesm Model version found.
Batch_system_type is slurm
ERROR: Command: '/usr/bin/xmllint --noout --schema cesm.sandboxes/cesm2.1.0/cime/config/xml_schemas/config_batch.xsd cesm.sandboxes/cesm2.1.0/cime/config/cesm/machines/config_batch.xml' failed with error '/cesm.sandboxes/cesm2.1.0/cime/config/cesm/machines/config_batch.xml:2: element config_batch: Schemas validity error : Element 'config_batch': Missing child element(s). Expected is one of ( batch_system, batch_jobs ).
-------------------------------------------------------------------------
Has anyone seen similar errors before? Thanks.
 

fischer

CSEG and Liaisons
Staff member
Hi,

On your source machine you're probable setting CIME_MODEL=cesm in the user cime config file ~/.cime/config.
As for the "WARNING: No cesm version found." This might be caused by copying the source code instead of using
git. To get the source code from git you can do the following.

git clone -b release-cesm2.1.0 ESCOMP/CESM cesm2.1.0
cd cesm2.1.0
./manage_externals/checkout_externals

Then you can copy over any of your machine config files that were updated.

Chris
 

sur23beeb

ST
New Member
Thanks. I am getting some certificate validation errors when I try the manage_externals step:
--------------------------------------------------------------
Checking out externals: clm, mosart, ww3,
ERROR:root:Command '[u'svn', u'checkout', u'--quiet', u'https://svn-ccsm-models.cgd.ucar.edu/ww3/release_tags/ww3_cesm2_1_rel_01', u'<snip>CESM/cesm.sandboxes/cesm2.1.0/components/ww3']' returned non-zero exit status 1
ERROR:root:Failed with output:
Error validating server certificate for 'https://svn-ccsm-models.cgd.ucar.edu:443':
- The certificate is not issued by a trusted authority. Use the
fingerprint to validate the certificate manually!
Certificate information:
- Hostname: *.cgd.ucar.edu
- Valid: from Mon, 18 Nov 2019 00:00:00 GMT until Wed, 17 Nov 2021 23:59:59 GMT
- Issuer: InCommon, Internet2, Ann Arbor, MI, US
- Fingerprint: 1a:41:6e:31:c5:f7:99:dd:b7:72:cc:c6:30:b9:e1:c7:90:82:d3:c8
(R)eject, accept (t)emporarily or accept (p)ermanently? svn: E175002: Unable to connect to a repository at URL 'https://svn-ccsm-models.cgd.ucar.edu/ww3/release_tags/ww3_cesm2_1_rel_01'
svn: E175002: OPTIONS of 'https://svn-ccsm-models.cgd.ucar.edu/ww3/release_tags/ww3_cesm2_1_rel_01': Server certificate verification failed: issuer is not trusted (https://svn-ccsm-models.cgd.ucar.edu)
-------------------------------------------------------------------
 

sur23beeb

ST
New Member
The earlier step went through:
Bash:
git clone -b release-cesm2.1.0 https://github.com/ESCOMP/cesm cesm2.1.0
 

sur23beeb

ST
New Member
I just hit 't' (temporarily accept certificate) manually after each component and they got installed.

Bash:
Checking out externals: clm, mosart, ww3, t
cime, t
cice, t
pop, t
cism, t
rtm, cam, t

The warning about the cesm version vanished but the other error persists:

Bash:
ERROR: Command: '/usr/bin/xmllint --noout --schema cesm.sandboxes/cesm2.1.0/cime/config/xml_schemas/config_batch.xsd cesm.sandboxes/cesm2.1.0/cime/config/cesm/machines/config_batch.xml' failed with error '/cesm.sandboxes/cesm2.1.0/cime/config/cesm/machines/config_batch.xml:2: element config_batch: Schemas validity error : Element 'config_batch': Missing child element(s). Expected is one of ( batch_system, batch_jobs ).
 

fischer

CSEG and Liaisons
Staff member
When you reach

(R)eject, accept (t)emporarily or accept (p)ermanently?

You need to select p.

Chris
 

sur23beeb

ST
New Member
Right, the thing is I was only seeing those three options and the entire error message after hitting enter, when the command would fail.
 

sur23beeb

ST
New Member
To be clear, the command is still failing but what I meant to say was that it was failing without downloading the components. At least, it is now getting all the components (pop, cam, etc.)
 

fischer

CSEG and Liaisons
Staff member
I'm assuming you modified cesm.sandboxes/cesm2.1.0/cime/config/cesm/machines/config_batch.xml to port to your machine.
You most likely have an error or typo in that file.
 
Top